* Note: Replace "...PATH..." with the path to the logfile!.
GET DATA  /TYPE=TXT
  /FILE=
    "...PATH...\Pfister_Kiesel_Melcher_2010_Exp1_Raw.dat"
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  Experiment F2.0
  Subject F1.0
  Condition F1.0
  Session F1.0
  Block F1.0
  Blocktrial F2.0
  Trial F3.0
  Compatibility F2.0
  Choice F1.0
  Deviant F1.0
  Oversampling F4.0
  Jittering F4.0
  Response F1.0
  RT F3.0
  Effect_Location F1.0
  Deviant_RT F3.0
  Error_Type F1.0
  Filter_Correct F1.0
  Filter_N_1 F1.0.
CACHE.
EXECUTE.
DATASET NAME Pfister_Kiesel_Melcher_2010_Exp1_Raw WINDOW=FRONT.

* Dichotomize choice (forced left, forced right > forced).
RECODE Choice (1 thru 2=1) (4=0) (ELSE=2) INTO Choice_12.
EXECUTE.
FORMATS Choice_12 (F1.0).

COMPUTE Deviant_N1 = LAG(Deviant).
EXECUTE.
FORMATS Deviant_N1 (F1.0).

* Filter data.

*To recreate the original free choice results: COMPUTE tfilter = (Session=2) & (Filter_Correct = 1) & (Choice < 4).
*To recreate the original forced choice results: COMPUTE tfilter = (Session=2) & (Filter_Correct = 1) & (Filter_N_1 = 1) & (Choice < 4).
COMPUTE tfilter = (Session=2) & (Filter_Correct = 1) & (Filter_N_1 = 1) & (Choice < 4) & (BlockTrial>1) & (RT>=100).
EXECUTE.
FORMATS tfilter (F1.0).
FILTER BY tfilter.

* Outlier correction.
SORT CASES BY Experiment Subject Choice Compatibility.
SPLIT FILE LAYERED BY Experiment Subject Choice Compatibility.

DESCRIPTIVES VARIABLES=RT
  /SAVE
  /STATISTICS=MEAN STDDEV MIN MAX.

SPLIT FILE OFF.
SORT CASES BY Experiment Subject Block BlockTrial.

COMPUTE zfilter = (tfilter=1) & (ABS(ZRT)<2.5).
EXECUTE.
FORMATS zfilter (F1.0).
FILTER BY zfilter.

* Aggregate.
DATASET DECLARE Pfister_Kiesel_Melcher_2010_Aggr.
AGGREGATE
  /OUTFILE='Pfister_Kiesel_Melcher_2010_Aggr'
  /BREAK=Experiment Subject Choice_12 Compatibility
  /RT=MEAN(RT)
  /NTrials=N.

DATASET ACTIVATE Pfister_Kiesel_Melcher_2010_Aggr.

* Recode compatibility.
COMPUTE Compatibility = Compatibility + 1.
EXECUTE.

SORT CASES BY Experiment Subject Compatibility.
CASESTOVARS
  /ID=Experiment Subject
  /INDEX=Compatibility
  /GROUPBY=VARIABLE.

GLM RT.0 RT.1 RT.2 BY Experiment
  /WSFACTOR=Compatibility 3 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(Compatibility*Experiment)
  /PRINT=ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Compatibility 
  /DESIGN=Experiment.

SPLIT FILE LAYERED BY Experiment.

T-TEST PAIRS=RT.0 RT.0 RT.1 WITH RT.1 RT.2 RT.2 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

SPLIT FILE OFF.





