* Note: Replace "...PATH..." with the path to the logfile!. "Exp2" can be replaced with "SupExp1" and "SupExp2", respectively.
GET DATA  /TYPE=TXT
  /FILE=
    "...PATH...\Pfister_Kiesel_Melcher_2010_Exp2_Raw.dat"
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  Subject F2.0
  Condition F1.0
  Session F1.0
  Block F1.0
  Blocktrial F2.0
  Trial F3.0
  Compatibility F2.0
  Choice F1.0
  Deviant F1.0
  Oversampling F4.0
  Jittering F4.0
  Response F1.0
  RT F3.0
  Effect_Location F1.0
  Deviant_RT F3.0
  Error_Type F1.0
  Filter_Correct F1.0.
CACHE.
EXECUTE.
DATASET NAME Pfister_Kiesel_Melcher_2010_Exp2_Raw WINDOW=FRONT.

* Dichotomize choice (forced left, forced right > forced).
RECODE Choice (1 thru 2=1) (4=0) (ELSE=2) INTO Choice_12.
EXECUTE.
FORMATS Choice_12 (F1.0).

COMPUTE Filter_N_1 = LAG(Filter_Correct).
EXECUTE.
FORMATS Filter_N_1 (F1.0).

* Filter data.
COMPUTE tfilter = (Session=2) & (Filter_Correct = 1) & (Filter_N_1 = 1) & (Choice < 4) & (BlockTrial>1) & (RT>=100).
EXECUTE.
FORMATS tfilter (F1.0).
FILTER BY tfilter.

* Outlier correction.
SORT CASES BY Subject Choice_12 Compatibility.
SPLIT FILE LAYERED BY Subject Choice_12 Compatibility.

DESCRIPTIVES VARIABLES=RT
  /SAVE
  /STATISTICS=MEAN STDDEV MIN MAX.

SPLIT FILE OFF.
SORT CASES BY Subject Block BlockTrial.

COMPUTE zfilter = (tfilter=1) & (ABS(ZRT)<2.5).
EXECUTE.
FORMATS zfilter (F1.0).
FILTER BY zfilter.

* Aggregate.
DATASET DECLARE Pfister_Kiesel_Melcher_2010_Exp2_Aggr.
AGGREGATE
  /OUTFILE='Pfister_Kiesel_Melcher_2010_Exp2_Aggr'
  /BREAK=Subject Choice_12 Compatibility
  /RT=MEAN(RT)
  /NTrials=N.

DATASET ACTIVATE Pfister_Kiesel_Melcher_2010_Exp2_Aggr.

* Recode compatibility.
COMPUTE Compatibility = Compatibility + 1.
EXECUTE.

SORT CASES BY Subject Choice_12 Compatibility.
CASESTOVARS
  /ID=Subject
  /INDEX=Choice_12 Compatibility
  /GROUPBY=VARIABLE.

GLM RT.1.0 RT.1.1 RT.1.2 RT.2.0 RT.2.1 RT.2.2
  /WSFACTOR=Choice 2 Polynomial Compatibility 3 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(Compatibility*Choice)
  /PRINT=ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Choice Compatibility Choice*Compatibility.

COMPUTE RTComp = MEAN(RT.1.2,RT.2.2).
COMPUTE RTNeutral = MEAN(RT.1.1,RT.2.1).
COMPUTE RTIncomp = MEAN(RT.1.0,RT.2.0).
EXECUTE.

* Pairwise comparisons.
T-TEST PAIRS=RTComp RTComp RTNeutral WITH RTNeutral RTIncomp RTIncomp (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

* Compatibility effect for forced and free choice trials.
T-TEST PAIRS=RT.1.0 RT.2.0 WITH RT.1.2 RT.2.2 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.
